# My dotfiles

This is a collection of some of my dotfiles for my Artix Linux system.

You can install these dotfiles by cloning this repository and executing `install.sh`.
Make sure you have `git` and `stow` installed.

```bash
$ git clone https://github.com/theanonymousexyz/dotfiles.git
$ cd dotfiles
$ chmod +x install.sh
$ ./install.sh
```

These dotfiles depend on the following software packages:

- `alacritty`
- `doas`\*
- `mako`
- `neovim`
- `pavucontrol`
- `pipewire`/`pulseaudio`
- `playerctl`
- `python`
- `sway`
- `swaylock`
- `waybar`
- `sway-launcher-desktop`

\* If you prefer `sudo`, then change all instances if `doas` to `sudo`. They're mainly in the sway config file and my `autostart.sh` script.

Also, you need to make a `doas`/`sudo` rule that allows you to execute `poweroff` and `reboot` without a password, otherwise the keybindings for those won't work.

